Last Comment Bug 537943 - "Advanced" button at Synchronization&Disk Space should be enabled even if mail.server.serverX.offline_download=false is set, and is better to be called "Folder Property Manager".
: "Advanced" button at Synchronization&Disk Space should be enabled even if mai...
Status: NEW
:
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: Trunk
: All All
: -- major with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 524684
  Show dependency treegraph
 
Reported: 2010-01-05 09:11 PST by Michael Baffoni
Modified: 2016-06-17 05:53 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-


Attachments

Description Michael Baffoni 2010-01-05 09:11:22 PST
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.5) Gecko/20091204 Thunderbird/3.0

In the transition from TB2.0 to 3.0, a feature of offline syncing was removed, the "Automatically sync new folders" option.  This removal is really killing me.  Not only are folders that are deleted being automatically selected for offline syncing (very silly for a folder under trash to be configured for sync when even Trash itself is not selected), but folders that my client is not creating like our shared IMAP folder system is automatically syncing all new folders.

I have a VERY limited need and desire for the folders I wish to sync for offline use - just my INBOX and Sent folders - to limit the data transferred while working remotely over slow connections.

Should this be an enhancement request to have a feature in the prior version reinstated?  Or is this a regular bug because it makes my system nearly useless while my system sync email until I can go through my 1000+ folder structure and find the folders that were added to the offline sync, uncheck them, restart the client, then login again.  Would it be better to change behavior to only automatically add sync to new folders if the parent folder is configured for offline sync?
Comment 1 Ludovic Hirlimann [:Usul] 2010-01-07 08:10:45 PST
You can trun autosync off. Look into Help ->migration assistant. Then you can subscribe which folder you keep for offline usage.
Comment 2 Michael Baffoni 2010-01-07 08:42:55 PST
If I uncheck the "Keep messages for this account on this computer" option, won't that turn off synchronization altogether?  Or will it keep my selected folders and continue synchronizing them?  I do want it to continue to sync INBOX/Sent/Drafts/etc. that I choose, but I don't want new folders added to the sync list.
Comment 3 Ludovic Hirlimann [:Usul] 2010-01-11 06:29:34 PST
That would be nice for .2
Comment 4 Mark Banner (:standard8) 2010-01-11 07:18:26 PST
The back end preference is still present, although I can't remember what its called at the moment.

(In reply to comment #3)
> That would be nice for .2

If this needs strings, that isn't going to happen.
Comment 5 David :Bienvenu 2010-01-11 07:25:05 PST
It turns out that unchecking "keep messages for this account..." only turns off the offline flag for folders; it does not turn off autosync in general.
Comment 6 Michael Baffoni 2010-01-11 11:13:30 PST
This is confusing to me.  If the offline flag for my INBOX folder is turned off, doesn't that mean it won't copy the new messages down for offline use?  I guess I don't know what is involved when you say "it does not turn off autosync in general".  Thanks for clarification.
Comment 7 David :Bienvenu 2010-01-11 11:17:34 PST
It does mean that. But it will still try to autosync any other folder you have configured for offline use.
Comment 8 WADA 2010-01-11 23:13:29 PST
> Bug summary:  Need option to turn off automatic sync of new folders

"Keep messages for this account..." is used for it also.
Following is check result with Tb 3.0.0.
"Keep messages for this account..." is Checked  : new folder is offline use=on
"Keep messages for this account..." is Unchecked: new folder is offline use=off

Auto-sync of Tb3 works with both;
  mail.server.serverN.offline_download=true  ("Keep messages..." is Checked)
  mail.server.serverN.offline_download=false ("Keep messages..." is Unchecked)
for IMAP folder of offline use=on(Tb3 respects this per folder setting),
because mail.server.default.autosync_offline_stores=true is defaulted by Tb 3.
(if offline_download = true, auto-sync works even when autosync_offline_stores = false.)

UI of "Keep messages..." does do next;
- Unchecked=>Checked: Set "offline use=on"  for all IMAP folder of the account
- Checked=>Unchecked: Set "offline use=off" for all IMAP folder of the account
It's the trick that all IMAP folders are auto-sync'ed by Unchecked=>Checked.

I think current UI is slightly confusing.
Comment 9 Michael Baffoni 2010-01-12 09:10:07 PST
Hmm, I just ran into unchecked=>checked behavior and I initially thought I'd done something wrong when all of my unchecked folders suddenly became checked, and I now had to uncheck over 1000 folders.  The only reason I did that was that I had to recheck the box in order to ungrey the pick box and allow me to change my settings; doing so lost all my set/unset changes from before.

Can we go to an interface where Auto-sync new folders is one UI element (even if it is on by default), and a button to custom-select folders is a second and independent (always on) UI element?  This way the folders I select with sync stay synced, and the folders I explicitly unselect, stay unselected, and if I choose to have all new folders _except_ those I unselected become autosync, I have that option too.

This not only makes more intuitive sense (what I set or unset, stays set or unset), it give me more choice in how I use the product.
Comment 10 Blake Winton (:bwinton) (:☕️) 2010-05-10 12:17:41 PDT
This seems like either a feature we've already implemented (if it's about turning autosync off), or a dupe of either bug 505759, or its followup bug 541209 (if it's about folders being marked for offline use automatically).

Wada, would you agree?

Thanks,
Blake.
Comment 11 WADA 2010-05-10 13:37:16 PDT
(In reply to comment #10)
> This seems like either a feature we've already implemented (if it's about
> turning autosync off), or a dupe of either bug 505759, or its followup bug
> 541209 (if it's about folders being marked for offline use automatically).
> Wada, would you agree?

No. This bug is for our misunderstandings/confusions on meaning of prefs.js setting of mail.server.serverX.offline_download, which is mainly caused by different/confusing meaning/action of UI for auto-sync setting.
Following is my explanation about mail.server.serverX.offline_download in https://wiki.mozilla.org/Thunderbird/Enterprise/Migration , which is my latest understanding of the prefs.js setting.
If it's correct, and if bug summary of this bug correctly represents problem of this bug report at bugzilla.mozilla.org, this bug is INVALID, because "option to turn off(or on) automatic sync of new folders" exists since initial of Tb 3.0.0.  

> # mail.server.serverX.offline_download (default=true)
> 
>     * When an IMAP folder is created or subscribed, set offline use=off if false, set offline use=on if true. i.e. This setting is for default of offline use=on/off of an IMAP folder.
>     * It's enhanced by bug 562589, and next meaning is added. This enhancement is already landed on Tb3.1pre and Tb3.2pre, and the enhancement has been landed on Tb 3.0.5pre today(2010/5/10).
>           o Upon first use of Tb 3, if serverX.offline_download=false is set before upgrade, IMAP folder's "offline use" is not touched by Migration code of Tb 3.
Comment 12 Michael Baffoni 2010-05-10 15:54:16 PDT
Regarding Comment #10: I see why you came to that conclusion, but from what I could read in those, those are strictly about the TB2 to TB3 migration, they say little or nothing about behavior after the migration.

Regarding Comment #11:  I think I understand better the offline setting, but I don't agree that makes this issue invalid.  There is a conflict between the UI for the auto-sync (global) setting, and the settings for per-folder syncing.  If I have auto-sync turned off, and my per-folder settings the way I want; how do I add (or remove for that matter) a per-folder sync setting without wiping out all my current settings?  Currently, if I check the "keep messages for this account on the server" (which incorrectly implies no syncing at all will occur if unchecked), it will clear my settings and set everything to "synced" on the per folder sync settings.  

What I'm asking for is either a) the "advanced" button not become greyed-out when the global sync is disabled so I can do per-folder sync settings, or b) that when I check the "keep messages for this account on the server" box, it doesn't auto-set all current folders.  The first behavior is preferred, but I can go through the extra step of enabling just to make the setting if it doesn't clear my prior settings.
Comment 13 David :Bienvenu 2010-05-10 16:03:28 PDT
You're right that the advanced button should not be disabled - I don't know why that was done, and it is annoying. You can, however, get to the offline folder picker through the file | offline | download and sync now menu item, click on the Select... button.

I also think the "Keep messages for this account" checkbox should also set/clear the autosync pref for the server. Users expect that, and we're always having to tell them to toggle the pref in the config editor. It's bad there's no UI to control this very user-visible feature.
Comment 14 WADA 2010-05-10 19:23:43 PDT
(In reply to comment #12)
> but I don't agree that makes this issue invalid.

"You agree or not agree" is irrelevant to proposition of bug summary is true or false.
(i) There is prefs.js setting of mail.server.serverX.offline_download.
    When an IMAP folder is created or subscribed,
    set offline use=off if false, set offline use=on if true.
    i.e. This setting is for default of offline use=on/off of new IMAP folder.
(ii) True/false of (i) can be toggled via Config Editor.
(iii) "Need option to turn off automatic sync of new folders" is always fasle, because option for it already exists. 
(iv) Therefore, this bug is invalid bug at B.M.O.
How can always false proposition be valid bug report or request at B.M.O?
If bug summary is something like next, I believe valid request at B.M.O.
- Need UI to turn on/off automatic sync of new folders
  without altering offline-use=on/off setting of existent IMAP folders.
- "Advanced" button at Synchronization&Disk Space should be enabled
  even if mail.server.serverX.offline_download=false is set.
- UI for mail.server.serverX.offline_download setting shouldn't alter
  offline-use=on/off setting of existent IMAP folders.
- Current behaviour of "[ ] Keep messages of this account on this computer"
  is mess for user.
- UI to change offline-use setting of existent IMAP folders
  and UI for default of offline-use setting of new IMAP folders
  should be cleanly isolated.
Comment 15 Michael Baffoni 2010-05-11 07:23:34 PDT
Seen that way, I agree with you (relevant or irrelevant ;-) ).  However, "this [bug] issue" (it's entirety) is not invalid because the title is incorrect.  I thought you were saying that the expectation for someone to add the ability to set folder sync setting independent of global sync setting was invalid, which I disagreed with.  

Part of bug resolution is discussing the problem and updating the bug request as discussion dictates the correct or core issues are found.  I think it is a bit of an overreaction to say that the initial title invalidates the bug because we determine there is a better way to express the issue later in the bug.

Thanks for the suggestion for new title.

That said, I do agree that a fallout of this issue is that the text "[ ] Keep messages of this account on this computer" is not actually correct (even when unchecked, the individual folder sync setting takes precedence), and I would recommend changeing this wording to be more correct.
Comment 16 WADA 2010-05-11 09:56:56 PDT
(In reply to comment #15)
Thanks for changing bug summary, which is subject/title/abstraction of bug report at B.M.O.

> That said, I do agree that a fallout of this issue is that the text "[ ] Keep
> messages of this account on this computer" is not actually correct (snip)

I have different impression.
As David indicates, I think next option should really/directly relate to auto-sync=enabled/disabled itself instead of default of per folder offline-use setting of new IMAP folders.
  [ ] Keep messages of this account on this computer
I think the option setting of UI should be;
(1) for auto-sync is enabled/disabled for the IMAP account: 
    Checked:   set mail.server.serverX.autosync_offline_stores=true
    Unchecked: set mail.server.serverX.autosync_offline_stores=false
    Note: mail.server.default.autosync_offline_stores can be used
          as default of mail.server.serverX.autosync_offline_stores
          upon account creation.
(2) Upon chage of the settig, next should subject to user's intention.
    - offline-use setting of existent IMAP folder
      - change offline-use to On  for all IMAP folders of the IMAP account
      - change offline-use to Off for all IMAP folders of the IMAP account
      - never alter offline-use of existent IMAP folders of the IMAP account
(3) A way to change offline-use setting of all existent IMAP folders
    ("Advanced" button currently. I'd like to call "Folder Property Manager".)
    should be provided in any case.
(4) A way to change mail.server.serverX.offline_downloade-use (default for 
    new IMAP folders. new==created or subscribed) should be provided in UI
    separatedly from UI for setting of "auto-sync is enabled/disabled".   
Michael Baffoni, what do you think?
Comment 17 Michael Baffoni 2010-05-11 10:57:31 PDT
(In reply to comment #16)
> (1) for auto-sync is enabled/disabled for the IMAP account: 
>     Checked:   set mail.server.serverX.autosync_offline_stores=true
>     Unchecked: set mail.server.serverX.autosync_offline_stores=false
>     Note: mail.server.default.autosync_offline_stores can be used
>          as default of mail.server.serverX.autosync_offline_stores
>          upon account creation.

This makes sense.

> (2) Upon chage of the settig, next should subject to user's intention.
>     - offline-use setting of existent IMAP folder
>       - change offline-use to On  for all IMAP folders of the IMAP account
>       - change offline-use to Off for all IMAP folders of the IMAP account
>       - never alter offline-use of existent IMAP folders of the IMAP account

I guess my question here is how do you determine user's intent? Do you need a whole new UI element for defining the intent here?  Or is there a more elegant method I'm just missing?

> (3) A way to change offline-use setting of all existent IMAP folders
>     ("Advanced" button currently. I'd like to call "Folder Property Manager".)
>     should be provided in any case..

I like that change also.  "Advanced" just is not very descriptive.

> (4) A way to change mail.server.serverX.offline_downloade-use (default for 
>     new IMAP folders. new==created or subscribed) should be provided in UI
>     separatedly from UI for setting of "auto-sync is enabled/disabled".   

I agree.  Here is my proposal to address the issues above:

(1) Change text from "[ ] Keep messages of this account on this computer" to "[ ] Automatically sync new folders of this account on this computer" or similar.  (does this change action?  I don't think so but please confirm).

(2) Do not try to determine users intent from changing the auto-sync check box, leave per-folder settings the way they are.

(3) Add two UI elements within the folder sync listing dialogue box, "Enable all" and "Clear All" buttons to set/unset the sync property on each folder.  Need to be careful that these buttons only apply to currently selected account (list currently shows all accounts in the same list).

(4) Change button text from "Advanced" to "Folder Property Manager", make it enabled/clickable regardless of automatic sync state.

This should allow intuitive setting of many of the usage intents I've seen so far:
  i) All folders synced, all new folders synced
 ii) Some folders synced, all new folders synced
iii) Some folders synced, no new folders synced
 iV) No folders synced, no new folders synced.
Comment 18 WADA 2010-05-25 23:03:13 PDT
Other people also recognized that improvements are needed around UI of "Keep messages...". See Bug 524684. I believe your proposal of comment #17 is one of best start points to find best solution.
Comment 19 rsx11m 2010-06-08 12:49:29 PDT
Note that after the fix for bug 569161 for 3.1 RC2, the "Advanced" button
is no longer disabled even if no folder is set to be synchronized and the respective checkbox in Synchronization & Storage is unchecked. So, this part
of the issue appears to be fixed too.
Comment 20 Mark Banner (:standard8) 2010-06-23 14:00:14 PDT
I don't think we'd change this on a stable branch, and as comment 19 says this is fixed in Thunderbird 3.1 which should be released very soon now.

Note You need to log in before you can comment on or make changes to this bug.